Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.stepsettings
Class ListFeatureEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          javax.swing.DefaultCellEditor
              edu.udo.cs.miningmart.gui.stepsettings.ParameterEditor
                  edu.udo.cs.miningmart.gui.stepsettings.SelectEditor
                      edu.udo.cs.miningmart.gui.stepsettings.ListSelectEditor
                          edu.udo.cs.miningmart.gui.stepsettings.ListFeatureEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.ItemListener, java.io.Serializable, java.util.EventListener, javax.swing.CellEditor, javax.swing.table.TableCellEditor, javax.swing.table.TableCellRenderer, javax.swing.tree.TreeCellEditor

    public class ListFeatureEditor

extends ListSelectEditor

An editor and renderer for multi-selection of `Feature`s.

Version:
  $Id: ListFeatureEditor.java,v 1.12 2006/09/27 14:59:59 euler Exp $
Author:
  Daniel Hakenjos
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.DefaultCellEditor
`javax.swing.DefaultCellEditor.EditorDelegate`

Field Summary

Fields inherited from class edu.udo.cs.miningmart.gui.stepsettings.ListSelectEditor
`box, data, selected_data`

Fields inherited from class edu.udo.cs.miningmart.gui.stepsettings.SelectEditor
`button, table`

Fields inherited from class edu.udo.cs.miningmart.gui.stepsettings.ParameterEditor
`app, editable, loopnumber, numberofloops, oldparamcollections, opParam, paramcollections, step`

Fields inherited from class javax.swing.DefaultCellEditor
`clickCountToStart, delegate, editorComponent`

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`ListFeatureEditor(MiningMartApplication app, StepParameterTable table, OpParam opParam)` Construct a new `ListFeatureEditor`.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` For your own selection you must overwrite this method.
`boolean` | `existsOutput()` Checks wether the output exists or not.
`void` | `init()` Inits this editor for the current loopnumber.
`void` | `makeOutput(boolean inputchanged, boolean outputchanged, boolean loopcountlower, boolean loopcounthigher)` Creates,updates and/or renames the output of the parameter.
`void` | `setNumberOfLoops(int numberofloops)` Sets the number of the loops.
`void` | `setParameterCollection(java.util.Collection collection, int loopnumber)` Sets the `Collection` of the Parameter for the specified loppnumber.

Methods inherited from class edu.udo.cs.miningmart.gui.stepsettings.ListSelectEditor
`getCellEditorValue, getDataItems, getSelectedValues, itemStateChanged, setDataItems, setEditable`

Methods inherited from class edu.udo.cs.miningmart.gui.stepsettings.SelectEditor
`getListOfAttributesToSelectAttributeFrom, showErrorMessage, showErrorMessage`

Methods inherited from class edu.udo.cs.miningmart.gui.stepsettings.ParameterEditor
`addChangeListener, cancelEditing, fireStateChanged, getAllParameterCollections, getChangeListener, getChangeListenerCount, getLoopNumber, getNumberOfLoops, getParameterCollection, getParameterCollection, getTableCellRendererComponent, getTheOpParam, removeAllChangeListener, removeChangeListener, setCollectionsInStep, setLoopNumber, setParameterCollection`

Methods inherited from class javax.swing.DefaultCellEditor
`cancelCellEditing, getClickCountToStart, getComponent, getTableCellEditorComponent, getTreeCellEditorComponent, isCellEditable, setClickCountToStart, shouldSelectCell, stopCellEditing`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, removeCellEditorListener`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, removeCellEditorListener`

Constructor Detail

### ListFeatureEditor

    public ListFeatureEditor(MiningMartApplication app,
                             StepParameterTable table,
                             OpParam opParam)

  Construct a new `ListFeatureEditor`.

Method Detail

### init

    public void init()

  Description copied from class: `ParameterEditor`
  Inits this editor for the current loopnumber. This method is useful in subclasses to set the text or list.

  Overrides:
    `init` in class `ListSelectEditor`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Description copied from class: `ListSelectEditor`
  For your own selection you must overwrite this method. Especially to construct the list.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Overrides:
    `actionPerformed` in class `ListSelectEditor`
  See Also:
    `ActionListener.actionPerformed(ActionEvent)`

### setParameterCollection

    public void setParameterCollection(java.util.Collection collection,
                                       int loopnumber)

  Description copied from class: `ParameterEditor`
  Sets the `Collection` of the Parameter for the specified loppnumber.

  Overrides:
    `setParameterCollection` in class `ParameterEditor`

### makeOutput

    public void makeOutput(boolean inputchanged,
                           boolean outputchanged,
                           boolean loopcountlower,
                           boolean loopcounthigher)
                    throws M4Exception

  Description copied from class: `ParameterEditor`
  Creates,updates and/or renames the output of the parameter.

  Overrides:
    `makeOutput` in class `ParameterEditor`
  Throws:
    `M4Exception`

### existsOutput

    public boolean existsOutput()

  Description copied from class: `ParameterEditor`
  Checks wether the output exists or not. If it is an input parameter then it returns false. Otherwise if all `Collection`s of the old Parameters are null or empty then the ouput doesn't exists.

  Overrides:
    `existsOutput` in class `ParameterEditor`

### setNumberOfLoops

    public void setNumberOfLoops(int numberofloops)

  Description copied from class: `ParameterEditor`
  Sets the number of the loops.

  Overrides:
    `setNumberOfLoops` in class `ParameterEditor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005